質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.10%

python manage.py makemigrationsのエラーを解決したい

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 160

python manage.py makemigrationsを成功させたい

djangoでファイルの変更をDBに入れるためにmigrationを作りたいのですが、
python manage.py makemigrations
で次のエラーメッセージが表示されました

また、python manage.py runserverと入力しても、動きませんでした

解決方法をご教授いただけると幸いです。

発生している問題・エラーメッセージ

『python manage.py makemigrationsの実行』
 python manage.py makemigrations

Traceback (most recent call last):
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/management/base.py", line 328, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/management/base.py", line 366, in execute
    self.check()
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/management/base.py", line 392, in check
    all_issues = self._run_checks(
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/management/base.py", line 382, in _run_checks
    return checks.run_checks(**kwargs)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/checks/registry.py", line 72, in run_checks
    new_errors = check(app_configs=app_configs)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/checks/urls.py", line 35, in check_url_namespaces_unique
    if not getattr(settings, 'ROOT_URLCONF', None):
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/conf/__init__.py", line 76, in __getattr__
    self._setup(name)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/conf/__init__.py", line 63, in _setup
    self._wrapped = Settings(settings_module)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/conf/__init__.py", line 142, in __init__
    mod = importlib.import_module(self.SETTINGS_MODULE)
  File "/Users/roskiry000/.pyenv/versions/3.8.3/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 961, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'django_girl'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "manage.py", line 21, in <module>
    main()
  File "manage.py", line 17, in main
    execute_from_command_line(sys.argv)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/management/__init__.py", line 401, in execute_from_command_line
    utility.execute()
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/management/__init__.py", line 395, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/core/management/base.py", line 341, in run_from_argv
    connections.close_all()
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/db/utils.py", line 225, in close_all
    for alias in self:
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/db/utils.py", line 219, in __iter__
    return iter(self.databases)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/utils/functional.py", line 48, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/db/utils.py", line 153, in databases
    self._databases = settings.DATABASES
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/conf/__init__.py", line 76, in __getattr__
    self._setup(name)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/conf/__init__.py", line 63, in _setup
    self._wrapped = Settings(settings_module)
  File "/Users/roskiry000/.pyenv/versions/django_env/lib/python3.8/site-packages/django/conf/__init__.py", line 142, in __init__
    mod = importlib.import_module(self.SETTINGS_MODULE)
  File "/Users/roskiry000/.pyenv/versions/3.8.3/lib/python3.8/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 961, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1014, in _gcd_import
  File "<frozen importlib._bootstrap>", line 991, in _find_and_load
  File "<frozen importlib._bootstrap>", line 973, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'django_girl'

該当のソースコード

└── django_girl
    └── django_girl
        ├── config\ .
        │   ├── __init__.py
        │   ├── __pycache__
        │   │   ├── __init__.cpython-38.pyc
        │   │   ├── settings.cpython-38.pyc
        │   │   ├── urls.cpython-38.pyc
        │   │   └── wsgi.cpython-38.pyc
        │   ├── asgi.py
        │   ├── blog
        │   │   ├── __init__.py
        │   │   ├── admin.py
        │   │   ├── apps.py
        │   │   ├── migrations
        │   │   │   └── __init__.py
        │   │   ├── models.py
        │   │   ├── tests.py
        │   │   └── views.py
        │   ├── db.sqlite3
        │   ├── manage.py
        │   ├── settings.py
        │   ├── urls.py
        │   └── wsgi.py
        └── static

7 directories, 18 files



『以下pythonファイルです』(models.pyとsettings.pyのみ)

[models.py]
from django.db import models
from django.conf import settings
from django.utils import timezone
# Create your models here.
class Post(models.Model):
    author = models.ForeignKey(settings.AUTH_USER_MODEL, on_delete=models.CASCADE)
    title = models.CharField(max_length=200)
    text = models.TextField()
    created_date = models.DateTimeField(default=timezone.now)
    published_date = models.DateTimeField(blank=True, null=True)

    def publish(self)
        self.published_date = timezone.now()
        self.save()

    def __str__(self):
        return self.title





[settings.py]試したことに関連があるものだけを載せています



# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'blog.apps.BlogConfig',
]

試したこと

・settings.pyとmodels.pyに誤字がないことを確認
・パスの問題なのではないかと考え、db.sqlite3をデフォルトからconfig .内へ移動
・パスの問題なのではないかと考え、カレントディレクトリをconfig .から、一つ前のdjango_girlに移動した
・settings.pyのINSTALLED_APPSの'blog.apps.BlogConfig',を 'blog.apps.BlogConfig .',に変更
・no module named 'django_girl'と書いてあったので、ダメもとで
pip show django_girlモジュールがないことを確認して、
pip install django_girlとやって、失敗

補足情報(FW/ツールのバージョンなど)

python 3.8.3です。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

INSTALLED_APPS に'django_girl'をアプリケーション登録をしていないのでこのエラーが発生しています。
INSTALLED_APPS を下のプログラムのようにdjango_girlをアプリケーション登録をしてみてください

INSTALLED_APPS = [
    'django_girl',
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'blog.apps.BlogConfig',
]

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる